<?php

/**
 * @file app/config/registry.inc
 * Configuración de registro de la aplicación
 * 
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright TuApp.net - GNU Lesser General Public License
 * @date Feb 2012
 * @version 3.2
 * @ingroup Core
 */

// Nombre y dirección base del sitio web

Registry::set( 'title', 'MoonDragon PHP' );
Registry::set( 'base_url_localhost', 'http://localhost/moondragon' );
Registry::set( 'base_url_production', 'http://sandbox.moondragon.tuapp.net' );

// Controla el comportamiento del sistema en caso de que se pierda la conexión con la base de datos
// Si esta opción esta seleccionada como verdadera se muestra una página de error
// Esta opción solo funciona si se ha definido un archivo de conexión con la base de datos

Registry::set( 'OFFLINE_ERROR', true );

// Valor que controla el uso de rutas absolutas, en entorno de producción se configura automáticamente a true
Registry::set( 'use_base_url', false );

// Valores por defecto de la aplicación

Registry::set( 'DEFAULT_DB_PROFILE', 'development' );
Registry::set( 'DEFAULT_SECTION', 'home' );
Registry::set( 'DEFAULT_TASK', 'display' );
Registry::set( 'ERROR_SECTION', 'error' );
Registry::set( 'DEFAULT_MODEL', 'Core' );
Registry::set( 'DEFAULT_VIEW', 'Core' );
Registry::set( 'DEFAULT_CONTROLLER', 'Core' );
Registry::set( 'DEFAULT_PAGE', 'standard' );
Registry::set( 'MESSAGE_PAGE', 'message' );

// Control de redirección

Registry::set( 'stop_redirection', false );

// Fin de archivo
