<?php

// Directivas de seguridad para cabeceras
// Las opciones por defecto son las que se han cosiderado más seguras y a la vez flexibles
// Solo modificar si se sabe lo que se esta haciendo

// Controla si la página web puede ser incluida en frames o iframes
// opciones = DENY, SAMEORIGIN
// por defecto: SAMEORIGIN, solo es posible incluir el sitio en iframes del mismo dominio
$_security['frame_options'] = 'SAMEORIGIN';

// Por razones de baja implementación entre los navegadores actuales, esta característica esta desactivada por el momento
$_security['CSP_activated'] = false;

// Lista de dominios separados por coma de los que es válido obtener recursos
// Esta directiva aplica para el contenido que no ha sido configurado individualmente
// por defecto: self, solo admite contenido del mismo dominio
$_security['allow_options'] = "'self'";

// Lista de dominios separados por coma de los que es válido obtener imágenes
// por defecto: self, solo admite imágenes del mismo dominio
$_security['x-policy']['img-src'] = "'self'";

// Lista de dominios separados por coma de los que es válido obtener javascript
// por defecto: self https://ajax.googleapis.com http://cdnjs.cloudflare.com
// solo admite javascript del mismo dominio, del cdn de google y de cdnjs.com
$_security['x-policy']['script-src'] = "'self' https://ajax.googleapis.com http://cdnjs.cloudflare.com";

// Lista de dominios separados por coma de los que es válido obtener objetos embebidos
// por defecto: self http://www.youtube.com http://player.vimeo.com
// sitios de videos comunes como youtube y vimeo
$_security['x-policy']['object-src'] = "'self' http://www.youtube.com http://player.vimeo.com";

// Fin de archivo
