<?php

/**
 * Controlador por defecto del sistema
 * 
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright TuApp.net - GNU Lesser General Public License
 * @date Feb 2012
 * @version 3.2
 * @ingroup Core
 */
 
class CoreController extends Controller
{
	/**
	 * Configuración básica de CoreController
	 * @return void
	 */
	public function __construct()
	{
		parent::__construct();
	}
	
	/**
	 * Override de la tarea por defecto
	 * @return void
	 * @see Controller::display()
	 */
	protected function display()
	{
		$section = Registry::get('section');
		if($section == 'md_licencia') 
		{
			$this->view->setPage('core:licencia');
		}
		if($section == 'md_creditos')
		{
			$this->view->setPage('core:creditos');
		}
	}
	
	/**
	 * Busca por defecto un responser con el nombre de la seccion
	 * @return void
	 * @see Controller::response()
	 */
	public function response($response = '')
	{
		$section = Registry::get('section');
        try {
    		$this->registerResponser($section);
        }
        catch(UnexistentResponserException $e) {
            $this->registerResponser('Core');
        }
		parent::response($response);
	}
}
 
// Fin de archivo
