<?php

/**
 * Excepción base que registra las ocurrencias en warning
 * 
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright TuApp.net - GNU Lesser General Public License
 * @date Feb 2012
 * @version 3.2
 * @ingroup CoreExceptions
 */
class LoggedException extends Exception
{
	/**
	 * Al instanciar la excepción se envía el error al buffer de warnings
	 * @param string $message
	 * @return void
	 */
	public function __construct($message = NULL, $log = true)
	{
		if(is_null($message))
		{
			$message = 'Excepción desconocida';
		}
		
		if($log)
		{
			$error = 'Disparada exepción '.get_class($this).' ('.$this->getCode().'): '.$message.' en '.basename($this->getFile()).' en la línea '.$this->getLine();
			trigger_error($error, E_USER_WARNING);
		}
		parent::__construct($message);
	}
}

// Fin de archivo
