<?php

/// Error al recibir variables con PATH_INFO
/// @ingroup CoreExceptions
class PathVarsException extends CoreException {}


/**
 * Recibe variables a traves de PATH_INFO
 * 
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright TuApp.net - GNU Lesser General Public License
 * @date Feb 2012
 * @version 3.2
 * @ingroup Core
 */
class PathVars
{
	/**
	 * Devuelve la variable correspondiente al identificador
	 * @param string $key
	 * @return string
	 * @throws PathVarsException
	 */
	public static function get($key)
	{
		$pathvars = explode('/', $_SERVER['PATH_INFO']);
		
		for($i = 3; $i < count($pathvars); $i += 2)
		{			
			if($key == $pathvars[$i] && isset($pathvars[$i + 1]))
			{
				return $pathvars[$i + 1];
			}
		}
		
		throw new PathVarsException('No se encontro la variable '.$key.' en PATH_INFO');
	}
	
	/**
	 * Comprueba si se recibieron variables a través de PATH_INFO
	 * @return boolean
	 */
	public static function hasVars()
	{
		$pathvars = explode('/', $_SERVER['PATH_INFO']);
		if(count($pathvars) > 4)
		{
			return true;
		}
		else
		{
			return false;
		}
	}
}

// Fin
