<?php

/**
 * Almacena información general del sistema
 * 
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright TuApp.net - GNU Lesser General Public License
 * @date Feb 2012
 * @version 3.2
 * @ingroup Core
 */
 
class Registry
{
	/**
	 * Variables de registro del sistema
	 * @var array $registry
	 */
	private static $registry;

	/**
	 * Modifica una variable del registro del sistema
	 * @param string $name
	 * @param mixed $value
	 * @return void
	 */	
	public static function set( $name, $value )
	{
		self::$registry[$name] = $value;
	}
	
	/**
	 * Obtiene una variable del registro del sistema
	 * @param string $name
	 * @return mixed
	 */
	public static function get( $name )
	{
		return self::$registry[$name];
   	}
}
 
// Fin de archivo
