<?php

/**
 * Detiene la ejecución mostrando una página de error
 * 
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright TuApp.net - GNU Lesser General Public License
 * @date Feb 2012
 * @version 3.2
 * @ingroup Core
 * 
 * @param string $error_string
 * @param string $error_file
 * @param int $error_line
 * @return void
 */
function md_halt( $error_string, $debug, $error_file, $error_line, $error_trace )
{
	$tpl = new Template( 'error' , true );
	Buffer::end();
	$system_warning = Buffer::getContent( 'e_warning' );
	$system_notice = Buffer::getContent( 'e_notice' );
	if($debug == true)
	{
		$moondragon_version = MOONDRAGON_VERSION;
		$error_string .= "<br/>\n en $error_file en la línea $error_line<br/>\nMoonDragon $moondragon_version<br/>\n<pre>$error_trace</pre>";
	} 
	$tpl->setVars( array( 'title' => Vars::get( 'title' ), 'Error_Message' => $error_string, 'system_warning' => $system_warning, 'system_notice' => $system_notice ) );
	
	die( (string) $tpl );
}

// Fin de archivo
