SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL';


-- -----------------------------------------------------
-- Table `usuario`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `usuario` ;

CREATE  TABLE IF NOT EXISTS `usuario` (
  `id_usuario` INT UNSIGNED NOT NULL AUTO_INCREMENT ,
  `usuario_usuario` VARCHAR(45) NOT NULL ,
  `password_usuario` VARCHAR(100) NOT NULL ,
  `activo_usuario` TINYINT(1)  NOT NULL DEFAULT FALSE ,
  `administrador_usuario` TINYINT(1)  NOT NULL DEFAULT FALSE ,
  `email_usuario` VARCHAR(45) NOT NULL ,
  `nombres_usuario` VARCHAR(45) NULL ,
  `apellidos_usuario` VARCHAR(45) NULL ,
  PRIMARY KEY (`id_usuario`) ,
  UNIQUE INDEX `usuario_usuario_UNIQUE` (`usuario_usuario` ASC) ,
  UNIQUE INDEX `email_usuario_UNIQUE` (`email_usuario` ASC) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `grupo`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `grupo` ;

CREATE  TABLE IF NOT EXISTS `grupo` (
  `id_grupo` INT UNSIGNED NOT NULL AUTO_INCREMENT ,
  `nombre_grupo` VARCHAR(45) NULL ,
  PRIMARY KEY (`id_grupo`) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `usuario_grupo`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `usuario_grupo` ;

CREATE  TABLE IF NOT EXISTS `usuario_grupo` (
  `id_usuario` INT UNSIGNED NOT NULL ,
  `id_grupo` INT UNSIGNED NOT NULL ,
  PRIMARY KEY (`id_usuario`, `id_grupo`) ,
  INDEX `fk_usuario_grupo_grupo1` (`id_grupo` ASC) ,
  INDEX `fk_usuario_grupo_usuario` (`id_usuario` ASC) ,
  CONSTRAINT `fk_usuario_grupo_usuario`
    FOREIGN KEY (`id_usuario` )
    REFERENCES `usuario` (`id_usuario` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_usuario_grupo_grupo1`
    FOREIGN KEY (`id_grupo` )
    REFERENCES `grupo` (`id_grupo` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;



SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;

